List check payments
API reference
Returns details about all check payments of a single partner. The results object repeats for each check.
GET calls
- Use query parameters to filter the results.
- Calls that return a list send it one page at a time. Use pageNumber and pageSize to choose a page. For details, see pagination
Endpoint: /checks/v1/payments
GET
https://sandbox.crbcos.com/checks/v1/payments
Query Parameters
- originalPaymentIdstringDescription
- referenceIdstringDescription
- directionstringDescription
- statusstringDescription
- paymentTypestringDescription
- checkTypestringDescription
- postingstringDescription
- postingCodestringDescription
- minAmountintegerDescription
- maxAmountintegerDescription
- accountNumberstringDescription
- sequenceNumberstringDescription
- checkNumberstringDescription
- fromstringDescription
- tostringDescription
- partnerIdstringDescription
- productIdstringDescription
- wasReturnedbooleanDescription
- isRedepositbooleanDescription
- clientIdentifierstringDescription
- depositBusinessDatestringDescription
- pageNumberintegerDescription
- pageSizeintegerDescription
Response
- resultsobjectDescription
- idstringDescription
- accountNumberstringDescription
- referenceIdstringDescription
- paymentTypestringDescription
- checkTypestringDescription
- directionstringDescription
- statusstringDescription
- sourcestringDescription
- postingstringDescription
- rejectionReasonstringDescription
- positivePayResultstringDescription
- positivePayMatchIdstringDescription
- postingCodestringDescription
- clientBatchIdstringDescription
- clientBatchSequenceintegerDescription
- fedBatchIdstringDescription
- fedBatchSequenceintegerDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- originalPaymentIdstringDescription
- customerIdstringDescription
- payerRoutingNumberstringDescription
- payerAccountNumberstringDescription
- payeeNamestringDescription
- checkNumberstringDescription
- bofdRoutingNumberstringDescription
- sequenceNumberstringDescription
- amountintegerDescription
- currencystringDescription
- micrstringDescription
- recognizedAmountintegerDescription
- iqaPassedbooleanDescription
- returnCodestringDescription
- hasFrontImagebooleanDescription
- hasBackImagebooleanDescription
- isRedepositbooleanDescription
- policystringDescription
- schedulearrayDescription
- createdAtstringDescription
- canceledAtstringDescription
- rejectedAtstringDescription
- processedAtstringDescription
- completedAtstringDescription
- postedAtstringDescription
- wasReturnedbooleanDescription
- purposestringDescription
- clientIdentifierstringDescription
- depositBusinessDatestringDescription
- lockboxVendorIdstringDescription
- productIdstringDescription
- partnerIdstringDescription
- lastModifiedAtstringDescription
- pageNumberintegerDescription
- pageSizeintegerDescription
- hasPreviousPagebooleanDescription
- hasNextPagebooleanDescription
curl
curl --location 'https://sandbox.crbcos.com/checks/v1/payments' \
--header 'Authorization: Bearer <token>'
nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/checks/v1/payments',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/checks/v1/payments"
payload = {}
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/checks/v1/payments")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/checks/v1/payments"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"results": [
{
"id": "3366874c-b887-4532-aec7-b48c006d4d1f",
"accountNumber": "2203250853",
"referenceId": "C200R1684TDQ",
"paymentType": "Return",
"checkType": "Standard",
"direction": "Inbound",
"status": "Completed",
"source": "Api",
"posting": "Posted",
"postingCode": "OK",
"fedBatchId": "0cfb50f6-afdd-4033-a1c2-b48c006d4d1f",
"fedBatchSequence": 0,
"coreTransactionId": "7153b673-bf50-4b9b-b097-b48c006d4d1f",
"originalPaymentId": "3d70fc63-672e-4c3b-9e66-b48700b5db14",
"customerId": "861261af-1251-49e8-966f-b2ff00d627bd",
"payerRoutingNumber": "314074269",
"payerAccountNumber": "28293886",
"payeeName": "",
"checkNumber": "1237",
"bofdRoutingNumber": "021214891",
"sequenceNumber": "3918624417",
"amount": 10000,
"currency": "usd",
"recognizedAmount": 0,
"iqaPassed": false,
"returnCode": "A",
"hasFrontImage": true,
"hasBackImage": true,
"isRedeposit": false,
"policy": "Standard",
"schedule": [],
"createdAt": "2026-07-19T02:37:57.223-04:00",
"processedAt": "2026-07-19T02:37:57.587-04:00",
"completedAt": "2026-07-19T02:37:57.743-04:00",
"postedAt": "2026-07-19T02:37:57.743-04:00",
"wasReturned": false,
"purpose": "TESTING",
"decisionRequired": false,
"wasDecisioned": false,
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2026-07-19T02:37:57.7438976-04:00"
},
{
"id": "ffacc406-7d79-4051-b20d-b48c0085b262",
"accountNumber": "2846220461",
"referenceId": "C200859Z8JXH",
"paymentType": "Return",
"checkType": "Unknown",
"direction": "Outbound",
"status": "Pending",
"source": "Api",
"posting": "Authorized",
"postingCode": "OK",
"coreTransactionId": "ad3e3ea6-6521-4fc6-9b7c-b48c0085b262",
"memoPostId": "7a18b8c6-1d21-41eb-b2b2-b48c0085b262",
"originalPaymentId": "2100980b-4419-4a42-bc4c-b449006b84ec",
"customerId": "05106466-9144-4f3f-8fb1-b345005d18ba",
"payerRoutingNumber": "021214891",
"payerAccountNumber": "2846220461",
"payeeName": "string",
"checkNumber": "2846220461",
"bofdRoutingNumber": "021214891",
"sequenceNumber": "6121648120",
"amount": 4400,
"currency": "usd",
"recognizedAmount": 0,
"iqaPassed": false,
"returnCode": "I",
"hasFrontImage": true,
"hasBackImage": true,
"isRedeposit": false,
"policy": "Standard",
"schedule": [],
"createdAt": "2026-07-19T04:06:46.513-04:00",
"wasReturned": false,
"decisionRequired": false,
"wasDecisioned": false,
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2026-07-19T04:06:46.8913621-04:00"
},
{
"id": "b150ebbf-72bd-478a-ae2e-b48c008909ce",
"accountNumber": "2846220461",
"referenceId": "C2002C520504",
"paymentType": "Forward",
"checkType": "Unknown",
"direction": "Inbound",
"status": "Processing",
"source": "Api",
"posting": "Failed",
"postingCode": "NSF",
"fedBatchId": "95af5b77-ff7c-4a13-b8c3-b48c008909ce",
"fedBatchSequence": 0,
"coreTransactionId": "a1940dd4-ec14-47b2-8c4e-b48c008909ce",
"originalPaymentId": "b150ebbf-72bd-478a-ae2e-b48c008909ce",
"customerId": "05106466-9144-4f3f-8fb1-b345005d18ba",
"payerRoutingNumber": "021214891",
"payerAccountNumber": "2846220461",
"payeeName": "string",
"checkNumber": "1032357",
"bofdRoutingNumber": "061000146",
"sequenceNumber": "4536586199",
"amount": 44000,
"currency": "usd",
"recognizedAmount": 0,
"iqaPassed": false,
"hasFrontImage": true,
"hasBackImage": true,
"isRedeposit": false,
"policy": "Standard",
"schedule": [],
"createdAt": "2026-07-19T04:18:56.473-04:00",
"processedAt": "2026-07-19T04:18:56.69-04:00",
"wasReturned": false,
"purpose": "TESTING",
"depositBusinessDate": "260720",
"decisionRequired": false,
"wasDecisioned": false,
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2026-07-19T04:18:56.9721824-04:00"
},
{
"id": "3ce66d18-2669-4c26-bb7d-b48c0089da8b",
"accountNumber": "2846220461",
"referenceId": "C200WD82L14A",
"paymentType": "Forward",
"checkType": "Unknown",
"direction": "Inbound",
"status": "Completed",
"source": "Api",
"posting": "Posted",
"postingCode": "OK",
"fedBatchId": "bc4058fe-74ee-47a9-8cde-b48c0089da8b",
"fedBatchSequence": 0,
"coreTransactionId": "01b5ba15-df91-4b0b-a288-b48c0089da8b",
"originalPaymentId": "3ce66d18-2669-4c26-bb7d-b48c0089da8b",
"customerId": "05106466-9144-4f3f-8fb1-b345005d18ba",
"payerRoutingNumber": "021214891",
"payerAccountNumber": "2846220461",
"payeeName": "string",
"checkNumber": "1032357",
"bofdRoutingNumber": "061000146",
"sequenceNumber": "3650080823",
"amount": 4500,
"currency": "usd",
"recognizedAmount": 0,
"iqaPassed": false,
"hasFrontImage": true,
"hasBackImage": true,
"isRedeposit": false,
"policy": "Standard",
"schedule": [],
"createdAt": "2026-07-19T04:21:54.593-04:00",
"processedAt": "2026-07-19T04:21:54.663-04:00",
"completedAt": "2026-07-19T04:21:54.717-04:00",
"postedAt": "2026-07-19T04:21:54.717-04:00",
"wasReturned": true,
"purpose": "TESTING",
"depositBusinessDate": "260720",
"decisionRequired": false,
"wasDecisioned": false,
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2026-07-19T04:38:01.0965045-04:00"
},
{
"id": "f6a270e5-da26-4325-88d4-b48c008e4727",
"accountNumber": "2846220461",
"referenceId": "C200I8164R2N",
"paymentType": "Return",
"checkType": "Unknown",
"direction": "Outbound",
"status": "Pending",
"source": "Api",
"posting": "Authorized",
"postingCode": "OK",
"coreTransactionId": "bde5ef07-f9e3-412c-9bd1-b48c008e4727",
"memoPostId": "a1433756-8cb3-4e11-a79a-b48c008e4727",
"originalPaymentId": "3ce66d18-2669-4c26-bb7d-b48c0089da8b",
"customerId": "05106466-9144-4f3f-8fb1-b345005d18ba",
"payerRoutingNumber": "021214891",
"payerAccountNumber": "2846220461",
"payeeName": "string",
"checkNumber": "2846220461",
"bofdRoutingNumber": "021214891",
"sequenceNumber": "3650080823",
"amount": 4500,
"currency": "usd",
"recognizedAmount": 0,
"iqaPassed": false,
"returnCode": "I",
"hasFrontImage": true,
"hasBackImage": true,
"isRedeposit": false,
"policy": "Standard",
"schedule": [],
"createdAt": "2026-07-19T04:38:01.09-04:00",
"wasReturned": false,
"decisionRequired": false,
"wasDecisioned": false,
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2026-07-19T04:38:01.2612968-04:00"
}
],
"pageNumber": 1,
"pageSize": 5,
"hasPreviousPage": false,
"hasNextPage": false
}